std::error_condition(3cxx)

NAME
std::error_condition

SYNOPSIS

  Public Member Functions

error_condition () noexcept
Initialize with a zero (no error) value and the generic category.
template<typename _ErrorConditionEnum , typename = typename enable_if<is_error_condition_enum<_ErrorConditionEnum>::value>::type> error_condition (_ErrorConditionEnum __e) noexcept
error_condition (int __v, const error_category &__cat) noexcept
Initialize with the specified value and category.
void assign (int __v, const error_category &__cat) noexcept
Set the value and category.
const error_category & category () const noexcept
The error category that this error belongs to.
void clear () noexcept
Reset the value and category to the default-constructed state.
string message () const
The category's description of the value.
operator bool () const noexcept
Test whether value() is non-zero.
template<typename _ErrorConditionEnum > enable_if< is_error_condition_enum< _ErrorConditionEnum >::value, error_condition & >::type operator= (_ErrorConditionEnum __e) noexcept
int value () const noexcept
The error value.

  Related Functions
(Note that these are not member functions.)
error_condition make_error_condition (errc __e) noexcept
bool operator!= (const error_condition &__lhs, const error_code &__rhs) noexcept
bool operator!= (const error_condition &__lhs, const error_condition &__rhs) noexcept
bool operator< (const error_condition &__lhs, const error_condition &__rhs) noexcept
bool operator== (const error_code &__lhs, const error_code &__rhs) noexcept
bool operator== (const error_code &__lhs, const error_condition &__rhs) noexcept
bool operator== (const error_condition &__lhs, const error_code &__rhs) noexcept
bool operator== (const error_condition &__lhs, const error_condition &__rhs) noexcept

Detailed Description

Class error_condition

This class represents error conditions that may be visible at an API boundary. Different error_code values that can occur within a library or module might map to the same error_condition.

An error_condition represents something that the program can test for, and subsequently take appropriate action.

Since
    C++11

Constructor & Destructor Documentation

  std::error_condition::error_condition () [inline], [noexcept]

Initialize with a zero (no error) value and the generic category.

  std::error_condition::error_condition (int __v, const error_category & __cat) [inline], [noexcept]

Initialize with the specified value and category.

Member Function Documentation

  void std::error_condition::assign (int __v, const error_category & __cat) [inline], [noexcept]

Set the value and category.

  const error_category& std::error_condition::category () const [inline], [noexcept]

The error category that this error belongs to.

  void std::error_condition::clear () [inline], [noexcept]

Reset the value and category to the default-constructed state.

  string std::error_condition::message () const [inline]

The category's description of the value.

  std::error_condition::operator bool () const [inline], [explicit], [noexcept]

Test whether value() is non-zero.

  int std::error_condition::value () const [inline], [noexcept]

The error value.

Author

Generated automatically by Doxygen for libstdc++ from the source code.